class RandomServerChoorser {
    constructor() {
        super();

        this.servers = []
        this.currentServer = null
    }


    add(uri) { this.servers.push(uri) }


    getCurrentURI() {
        if (!this.currentServer) {
            this.setCurrentServer()
        }

        return this.currentServer
    }

    getCurrentAuthenticator() { return null }


    reportFailure(error/*, connectionInfo*/) {
        this.error = error

        // change the current server value
        this.setCurrentServer()
    }


    reportSuccess(/*connectionInfo*/) { }


    getError() { return this.error ? this.error.message : '' }


    setCurrentServer() {
        if (this.servers.length === 0) { return null }
        this.currentServer = this.servers[Math.round(Math.random() * this.servers.length)] 
    }
}
